Browser That Cares
Because You Do

Internet browsing aligned with your
Ethics, Privacy and Security needs
Android 4.1+